Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

MySQL mysqlhotcopy script insecure temporary file

Information

Severity

Severity

Medium

Family

Family

Databases

CVSSv2 Base

CVSSv2 Base

4.6

CVSSv2 Vector

CVSSv2 Vector

AV:L/AC:L/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

17 years ago

Modified

Modified

4 years ago

Summary

You are running a version of MySQL which is older than version 4.0.21. mysqlhotcopy is reported to contain an insecure temporary file creation vulnerability. The result of this is that temporary files created by the application may use predictable filenames. A local attacker may also possibly exploit this vulnerability to execute symbolic link file overwrite attacks. *** Note : this vulnerability is local only

Solution

Solution

Upgrade to the latest version of MySQL 4.0.21 or newer

Common Vulnerabilities and Exposures (CVE)